## rtmpsrc rtmpsrc |

## Properties

gchar * | location | Read / Write
gint | timeout | Read / Write

## Types and Values

struct | GstRTMPSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstRTMPSrc

## Implemented Interfaces

GstRTMPSrc implements GstURIHandler.

## Description

This plugin reads data from a local or remote location specified by an URI. This location can be specified using any protocol supported by the RTMP library, i.e. rtmp, rtmpt, rtmps, rtmpe, rtmfp, rtmpte and rtmpts.

### Example launch lines

    1
    gst-launch-1.0 -v rtmpsrc location=rtmp://somehost/someurl ! fakesink

Open an RTMP location and pass its content to fakesink.

## Synopsis

### Element Information

plugin | rtmp
author | Bastien Nocera <hadess@hadess.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstRTMPSrc

    struct GstRTMPSrc;

Opaque data structure.

## Property Details

### The `“location”` property

      “location”                 gchar *

Location of the RTMP url to read.

Flags: Read / Write

Default value: NULL

### The `“timeout”` property

      “timeout”                  gint

Time without receiving any data from the server to wait before to timeout the session.

Flags: Read / Write

Allowed values: >= 0

Default value: 120